public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Milos Malik <mmalik@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: skip not relevant test phases on RHEL-8
Date: Fri, 11 Sep 2026 13:19:20 GMT	[thread overview]
Message-ID: <178913276023.1.16844213378266448384.tests-selinux-c40e0ae1604d@fedoraproject.org> (raw)

            A new commit has been pushed.

            Repo   : tests/selinux
            Branch : pr775-checkpolicy-revdeps
            Commit : c40e0ae1604dd771cb34ce0dd8eb8f96293b978d
            Author : Milos Malik <mmalik@redhat.com>
            Date   : 2021-08-17T13:03:00+02:00
            Stats  : +11/-1 in 5 file(s)
            URL    : https://src.fedoraproject.org/tests/selinux/c/c40e0ae1604dd771cb34ce0dd8eb8f96293b978d?branch=pr775-checkpolicy-revdeps

            Log:
            skip not relevant test phases on RHEL-8

The automated tests also contain test phases which cover Fedora bugs.
These test phases should not be executed on RHEL-8, because they are
not relevant there.

---
diff --git a/selinux-policy/dhclient-and-similar/runtest.sh b/selinux-policy/dhclient-and-similar/runtest.sh
index 4db364a..f8263b5 100755
--- a/selinux-policy/dhclient-and-similar/runtest.sh
+++ b/selinux-policy/dhclient-and-similar/runtest.sh
@@ -53,6 +53,7 @@ rlJournalStart
         sleep 2
     rlPhaseEnd
 
+    if ! rlIsRHEL 8 ; then
     rlPhaseStartTest "bz#1897388"
         rlSEMatchPathCon "/usr/sbin/dhclient-script" "dhcpc_exec_t"
         rlSEMatchPathCon "/usr/bin/chronyc" "chronyc_exec_t"
@@ -60,6 +61,7 @@ rlJournalStart
         rlSESearchRule "type_transition dhcpc_t chronyc_exec_t : process chronyc_t"
         rlSESearchRule "allow dhcpc_t chronyc_t : process { transition } [ ]"
     rlPhaseEnd
+    fi
 
     rlPhaseStartTest "real scenario"
         rlRun "dhclient"

diff --git a/selinux-policy/nfsdcld-and-similar/runtest.sh b/selinux-policy/nfsdcld-and-similar/runtest.sh
index 0fd7a54..5303eac 100755
--- a/selinux-policy/nfsdcld-and-similar/runtest.sh
+++ b/selinux-policy/nfsdcld-and-similar/runtest.sh
@@ -56,6 +56,7 @@ rlJournalStart
         sleep 2
     rlPhaseEnd
 
+    if ! rlIsRHEL 8 ; then
     rlPhaseStartTest "bz#1834234"
         rlSEMatchPathCon "/usr/sbin/nfsdcld" "rpcd_exec_t"
         rlSESearchRule "allow init_t rpcd_exec_t : file { getattr open read execute } [ ]"
@@ -63,6 +64,7 @@ rlJournalStart
         rlSESearchRule "allow init_t rpcd_t : process { transition } [ ]"
         rlSESearchRule "allow rpcd_t nfsd_fs_t : file { getattr open read } [ ]"
     rlPhaseEnd
+    fi
 
     rlPhaseStartTest "real scenario -- standalone service"
         rlRun "echo ${ROOT_PASSWORD} | passwd --stdin root"

diff --git a/selinux-policy/pam_limits-and-related/runtest.sh b/selinux-policy/pam_limits-and-related/runtest.sh
index d9c6a3e..cfc7036 100755
--- a/selinux-policy/pam_limits-and-related/runtest.sh
+++ b/selinux-policy/pam_limits-and-related/runtest.sh
@@ -52,6 +52,7 @@ rlJournalStart
         sleep 2
     rlPhaseEnd
 
+    if ! rlIsRHEL 8 ; then
     rlPhaseStartTest "bz#1958819"
         rlSESearchRule "allow init_t guest_t : process2 { nnp_transition } [ ]"
         rlSESearchRule "allow init_t staff_t : process2 { nnp_transition } [ ]"
@@ -60,6 +61,7 @@ rlJournalStart
         rlSESearchRule "allow init_t user_t : process2 { nnp_transition } [ ]"
         rlSESearchRule "allow init_t xguest_t : process2 { nnp_transition } [ ]"
     rlPhaseEnd
+    fi
 
     rlPhaseStartTest "real scenario -- confined users"
         rlRun "setsebool ssh_sysadm_login on"

diff --git a/selinux-policy/systemd-modules-load-and-similar/runtest.sh b/selinux-policy/systemd-modules-load-and-similar/runtest.sh
index 8d0adca..0bf4cf2 100755
--- a/selinux-policy/systemd-modules-load-and-similar/runtest.sh
+++ b/selinux-policy/systemd-modules-load-and-similar/runtest.sh
@@ -126,7 +126,9 @@ rlJournalStart
         rlRun "lsmod | grep rdma"
         rlRun "ausearch -m AVC -m USER_AVC --start $tst_Time" 1
         rlRun "systemctl stop rdma-load-modules@rdma.service"
-        rlSESearchRule "allow systemd_modules_load_t systemd_modules_load_t : lockdown { confidentiality } [ ]"
+        if ! rlIsRHEL 8 ; then
+            rlSESearchRule "allow systemd_modules_load_t systemd_modules_load_t : lockdown { confidentiality } [ ]"
+        fi
     rlPhaseEnd
 
     rlPhaseStartCleanup

diff --git a/selinux-policy/usbmuxd-and-similar/runtest.sh b/selinux-policy/usbmuxd-and-similar/runtest.sh
index b94e525..f1d6c77 100755
--- a/selinux-policy/usbmuxd-and-similar/runtest.sh
+++ b/selinux-policy/usbmuxd-and-similar/runtest.sh
@@ -75,6 +75,7 @@ rlJournalStart
         rlSESearchRule "allow usbmuxd_t udev_var_run_t : file { getattr open read } [ ]"
     rlPhaseEnd
 
+    if ! rlIsRHEL 8 ; then
     rlPhaseStartTest "bz#1930992"
         rlSEMatchPathCon "/sys" "sysfs_t"
         rlSESearchRule "allow usbmuxd_t sysfs_t : filesystem { getattr } [ ]"
@@ -91,6 +92,7 @@ rlJournalStart
         rlSESearchRule "dontaudit usbmuxd_t init_t : dir { search } [ ]"
         rlSESearchRule "dontaudit usbmuxd_t init_t : file { getattr open read ioctl } [ ]"
     rlPhaseEnd
+    fi
 
     rlPhaseStartTest "real scenario"
         rlRun "echo ${ROOT_PASSWORD} | passwd --stdin root"

                 reply	other threads:[~2026-09-11 13:19 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=178913276023.1.16844213378266448384.tests-selinux-c40e0ae1604d@fedoraproject.org \
    --to=mmalik@redhat.com \
    --cc=git-commits@fedoraproject.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox